Package com.avaya.core

## Enum MessageUploadStatus

- java.lang.Object
- - java.lang.Enum<MessageUploadStatus>
  - - com.avaya.core.MessageUploadStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MessageUploadStatus>`

      public enum MessageUploadStatus
      extends java.lang.Enum<MessageUploadStatus>

  Upload status of a Message.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `FAILED` | A user message that failed to upload.
    `NOT_USER_MESSAGE` | A message that did not originate from the current user.
    `SENT` | A user message that was successfully uploaded.
    `UNSENT` | A user message that has not yet finished uploading.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MessageUploadStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MessageUploadStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSENT

          public static final MessageUploadStatus UNSENT

      A user message that has not yet finished uploading.

    - #### FAILED

          public static final MessageUploadStatus FAILED

      A user message that failed to upload.

    - #### SENT

          public static final MessageUploadStatus SENT

      A user message that was successfully uploaded.

    - #### NOT_USER_MESSAGE

          public static final MessageUploadStatus NOT_USER_MESSAGE

      A message that did not originate from the current user.

  - ### Method Detail

    - #### values

          public static MessageUploadStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageUploadStatus c : MessageUploadStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageUploadStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null